package net.qihoo.clockweather.service; 

import android.graphics.Bitmap;
import net.qihoo.clockweather.widget.engine.model.WidgetFunction;
import com.qihoo.weather.data.entity.City;
import net.qihoo.clockweather.info.WeatherConditionNew;

interface WidgetRemoteService {  
	// 以下为桌面widget换肤后使用
    String getBackground(int type);
    
    //void releaseBackground();
    
    boolean applyTheme(int type, String fileName);
    
    List<WidgetFunction> getWidgetFunctions(int type);
    
    // 以下为默认widget及大主题使用
    String getSkin(long widgetId);
    
    void setSkin(long widgetId, String packageName);
    
    City getCityFromCache();
    
    void onScreenOff();
    
    void onScreenOn();
    
    void refreshWeather(in City city);
} 